#include <stdio.h>
int main(void){
	int N,M,rez=0;
	int i,j;
	scanf("%d%d",&N,&M);
	int D[N];
	int P[M*2];
	int indeks[N];
	for(i=0;i<N;i++){
		scanf("%d",&D[i]);
	}
	for(i=0;i<M*2;i++){
		scanf("%d",&P[i]);
	}
	for(i=0;i<N;i++){
		indeks[i]=0;
	}
	for(i=1;i<N+1;i++){
		for(j=0;j<M*2;j++){
			if(i==P[j]){
				indeks[i-1]++;
			}
		}
	}
	
	for(i=0;i<N;i++){
		rez=rez+D[i]*(indeks[i]);
	} 
	
	printf("%d",rez);
	return 0;
}